import Vue from 'vue'
import Vuex from 'vuex'
import user from '@/store/modules/user'
import employee from '@/store/modules/employee'
import warehouse from '@/store/modules/warehouse'
import getters from './getters'
import pwo from './modules/pwoTransfer'

Vue.use(Vuex)

const store = new Vuex.Store({
	modules: {
		user,
		employee,
		warehouse,
		pwo
	},
	getters
})

export default store